# Uses of Class
org.springframework.web.util.pattern.PathPattern.PathMatchInfo

Packages that use PathPattern.PathMatchInfo
Package
Description
org.springframework.web.util.pattern
Dedicated support for matching HTTP request paths.

## Uses of PathPattern.PathMatchInfo in org.springframework.web.util.pattern

Methods in org.springframework.web.util.pattern that return PathPattern.PathMatchInfo
Modifier and Type
Method
Description
`PathPattern.PathMatchInfo`
PathPattern.`matchAndExtract(PathContainer pathContainer)`
Match this pattern to the given URI path and return extracted URI template variables as well as path parameters (matrix variables).